PHP 5.6.40에서 그누보드 최신 버전

PHP 5.6.40에서 그누보드 최신 버전

QA

PHP 5.6.40에서 그누보드 최신 버전

본문

안녕하세요. 

 

제가 사용중인 php 버전은 PHP 5.6.40입니다.

 

얼마전에 그누보드 5.6.2 베타 버전을 설치해서 홈페이지 제작했을때는 문제가 없었습니다.

 

그런데 그누보드 5.6.3 버전을 다운로드 받아 제작하던 중....

 

다른곳은 문제가 없었는데 로그인 로그아웃에서 문제가 발생하네요.

 

아무리 찾아봐도 원인을 찾지 못해 그누보드 5.6.2 베타를 설치해서 돌려보니 괜찮습니다.

 

로그인시에는 "회원아이디나 비밀번호가 공백이면 안됩니다." 메시지 창이 뜨고,

로그아웃시에는 "url에 도메인을 지정할 수 없습니다" 메시지 창이 뜹니다.

 

login_check.php 파일에 var_dump($_POST); 명령으로 찍어보면 문제없이 잘 전달됩니다.

 

로그인과 관련된 함수 중에 PHP 5.6.40가 지원하지 못하는 부분이 있는지 궁금합니다.

 

업그레이드 하자니 서비스중인 홈페이지가 많아 겁이나서 시도도 못하겠구요.ㅎㅎ

어제부터 지금까지 꼬박 매달려 시름중인데 해결이 안됩니다..ㅠㅠ

시원한 답변 부탁드립니다. 감사합니다.

 

추신 : config.php 환경설정 확인 여러번 했습니다. 또한 해당 config.php 파일을 5.6.2 베타에 복사해서 돌리면 잘 돌아갑니다. 제 생각으로는 PHP 5.6.40버전이 그누보드 5.6.3 버전을 지원하지 못해서 그런듯 합니다.

 

이 질문에 댓글 쓰기 :

답변 4

로그인시


<?php
if (!$mb_id || run_replace('check_empty_member_login_password', !$mb_password, $mb_id))
    alert('회원아이디나 비밀번호가 공백이면 안됩니다.');
?>

해당 값을 체크해 보시고요

로그아웃시 


<?php
    if (preg_match('/^https?:\/\//i', $url) || $p['scheme'] || $p['host']) {
        alert('url에 도메인을 지정할 수 없습니다.', G5_URL);
    }
?>

해당 값을 체크해서 디버깅 해보셨을까요?

php 버전이랑은 관련없고 url 오픈리다이렉트 취약점 패치하면서 뭔가 막혔나봐요 해결중이실듯

 

혹시 코드에 다른사이트 url 이 들어가 있지는 않나요?

원인을 찾았습니다. 누가 저 처럼 고생할까봐 댓글을 남겨둡니다.

theme.config.php 파일에 아래 문장을 서놨더니 그런 사달이 나네요.ㅎㅎ

url 변수값 절대 건드리면 안됩니다. 그누에서 url을 소중하게 쓰거든요.ㅠㅠ

 

$url = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off' ? 'https' : 'http') . '://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];

답변을 작성하시기 전에 로그인 해주세요.
전체 125,023 | RSS
QA 내용 검색

회원로그인

(주)에스아이알소프트 / 대표:홍석명 / (06211) 서울특별시 강남구 역삼동 707-34 한신인터밸리24 서관 1404호 / E-Mail: admin@sir.kr
사업자등록번호: 217-81-36347 / 통신판매업신고번호:2014-서울강남-02098호 / 개인정보보호책임자:김민섭(minsup@sir.kr)
© SIRSOFT